Bug 213194 - FC-6-i386-DVD.iso not recognized
FC-6-i386-DVD.iso not recognized
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 00:10 EST by Chris Miller
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Miller 2006-10-31 00:10:06 EST
Installing with kernel method=nfs:<IP>:/<DIR>

I have had success installing with the five FC-6-i386-disc[12345].iso file in 
directory <DIR>  vmlinuz/init recognizes a Fedora installation tree.  I did not 
unpack them or mount them -o loop.  I just put the *.iso file in <DIR> and away 
we go.  If I put FC-6-i386-DVD.iso there, vmlinuz/init does not recognize it a 
s Fedora installation tree and will not install.
Comment 1 Chris Miller 2006-10-31 10:27:17 EST
I wanted to add a bit more information:

I downloaded boot.iso, burned it to CD and used that for the installation.  So, 
the deficiency I mention is in boot.iso.
Comment 2 Chris Lumens 2006-11-01 14:04:08 EST
There are a couple similar error messages that can be displayed when anaconda
gets confused about images.  Which one are you seeing?  Also do you have both
the DVD and the CD images in the same directory?  Where did you get the DVD image?
Comment 3 Chris Miller 2006-11-01 16:08:14 EST
Apparently, I have given you a confused set of circumstances.

I downloaded boot.iso and burned it to CD.

I downloaded FC-6-i386-disc[12345].iso and put them in an exported directory.  
I booted the CD and I installed with  “method=nfs:10.1.2.11:/fedora”  The 
installation worked with no problem.

Later, I moved FC-6-i386-disc[12345].iso some place safe and out of the way.  I 
downloaded FC-6-i386-DVD.iso and I put it in that same exported directory.  
Again, I booted the CD and I installed with  “method=nfs:10.1.2.11:/fedora”

The message was something like, “That directory does not contain a fedora 
installation tree”  I can’t be precisely certain about the wording nor the 
case, but that is quite close.  I will be installing another machine next week, 
and I will repeat this experiment and note the precise error message.  I’d be 
willing to do the ground work to find out what is happening.  Would an 
erthereal trace be helpful?  If not, then I won’t bother, but if you think it 
can help you, then I’m happy to do it.
Comment 4 Chris Miller 2006-11-01 16:09:37 EST
Noe more note:  I downloaded everything from download.fedora.redhat.com/...
Comment 5 Chris Lumens 2006-11-03 15:07:13 EST
Hm, I wasn't able to reproduce this on ppc with a quick test.  I know the error
message you are referring to now, so don't worry about getting the exact
wording.  When this error pops up, can you switch to tty3 and attach a picture
of what messages you see on that console?

I don't think ethereal will show anything too helpful here, but feel free to
play around with it and see if you get anything useful.
Comment 6 Chris Miller 2006-11-03 15:33:37 EST
This is a headless server, so I have no consoles to view.  If there are kernel 
boot parameters that might help you, I will set them at your request.  If there 
is a way to capture what you want, I can do that also, but not with attachen 
KVM.

If you want me to try some experiments, I can.  If you tell me what boot.iso 
uses to recognize a valid Fedora installation tree, I will be glad to check to 
see what I have and hack things to see what I can do and report these findings 
to you.  For example, is the filename important (I wouldn’t expect so) ?  What 
file in the file system does boot.iso want and what needs to be in it?

I suspect this is a trivial mis-configuration and I also suspect that it is 
limited to the i386 class.  I can’t guess if boot.iso is (incorrectly) failing 
to recognize the DVD or if boot.iso is (correctly) ignoring an incorrectly 
labeled DVD.  I suspect that the DVD is not correctly labeled because boot.iso 
had no problem with the five disc set.
 
Comment 7 Chris Lumens 2006-11-13 14:28:26 EST
At this stage in anaconda, there's not really any good way to capture these
messages except having a monitor and keyboard attached.  Is it at all possible
for you to hook something up and take a look?  Once anaconda gets past the
loader, we have network syslog capabilities to make this easier but you are
still too early to be able to do that.

I also suspect it is something really simple.  I expect the log files to tell us
exactly what is going on.  This code is a bit of a mess so simply stepping
through it is a little difficult until I see which of the many branches your
machine is taking.

Would it be possible for you to start off trying this install method so we get
the error messages logged, then go back and select a different installation
method that will allow you to progress to the second stage?  Then you should be
able to drop into a shell and grab the logs.
Comment 8 Chris Miller 2006-11-14 11:32:44 EST
I will be happy to do this.  Please tell me which logs you think I should be 
able to find and where they will be.  I will collect everything you need at any 
step in the process that you think will be helpful.  

I’m asking for specific advice about the logs because I am not aware of any 
logs except the anaconda-ks.cfg, install.log and install.log.syslog and they 
are collected only after the distribution has been mounted and the package 
installation can begin.  So that means long after this particular problem has 
been resolved.
Comment 9 Chris Lumens 2006-11-14 11:38:32 EST
/tmp/anaconda.log and /tmp/syslog would be the most important ones.  We append
to those as we go along, and they get copied over to the installed system after
installation is complete.
Comment 10 Chris Miller 2006-11-14 13:14:14 EST
I am not going to complete the installation.  So, after my installation tree 
has been rejected, and I am still at the console, how do I fetch the logs you 
mention?  I don’t know how to get to a shell at that point.
Comment 11 Chris Lumens 2006-11-14 13:24:41 EST
You're doing a serial console test mode install, yeah?  Just try and fail with
the DVD method, pick a new method that will work, and allow anaconda to get up
to the "Welcome to Fedora Core!" screen.  Once that comes up, ctrl-z should
suspend the installer.  You can then grab /tmp/install.log and /tmp/syslog and
either scp them to another machine you have access to or copy them to a floppy
or other such drive.

No need to go any further in the installation than that.
Comment 12 Chris Miller 2006-11-14 13:26:12 EST
Smokin'!  I'll have these for you in a bit...
Comment 13 Chris Lumens 2007-02-01 13:31:40 EST
Any news on this bug report?

Note You need to log in before you can comment on or make changes to this bug.